import aliases;
import u = util;

void
RunTests()
{
	TestHashTable();
}

void
TestHashTable()
{
	auto ht = u.CreateHashTable!(u64, u64)(8);

	u64 value = 55;
	ht[3] = value;
	auto res = ht[3];
	assert(res.ok && value == res.value, "hash table failure");

	res = ~ht[3];
	assert(res.ok && res.value == value, "hash table delete failure");

	res = ~ht[3];
	assert(!res.ok, "value not deleted from hash table");
}
